curl --location --request PUT 'https://api.stateset.com/v1/warranty/:id/cancel' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation warrantyCancelMutation {
warrantyCancel(id: "${warrantyId}") {
warranty {
id,
status
}
userErrors {
field
message
}
}
}
`;
const warranties = await stateset.warranties.cancel({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
warranties = stateset.warranties.cancel({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
warranties = Stateset::Warranty.cancel({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
warranties, err := stateset.Warranties.cancel({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Warranty warranties = stateset.Warranties.cancel({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$warranties = $stateset->warranties->cancel({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var warranties = await stateset.Warranties.Cancel({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "warranty",
"cancelled": true
}
Cancel Warranty
This endpoint cancels a warranty.
POST
/
v1
/
warranties
/
:id
/
cancel
curl --location --request PUT 'https://api.stateset.com/v1/warranty/:id/cancel' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation warrantyCancelMutation {
warrantyCancel(id: "${warrantyId}") {
warranty {
id,
status
}
userErrors {
field
message
}
}
}
`;
const warranties = await stateset.warranties.cancel({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
warranties = stateset.warranties.cancel({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
warranties = Stateset::Warranty.cancel({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
warranties, err := stateset.Warranties.cancel({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Warranty warranties = stateset.Warranties.cancel({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$warranties = $stateset->warranties->cancel({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var warranties = await stateset.Warranties.Cancel({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "warranty",
"cancelled": true
}
Body
The ID provided in the data tab may be used to identify the warranty
Response
The ID provided in the data tab may be used to identify the warranty
The object type
Indicates whether the call was successful. true if successful, false if not.
curl --location --request PUT 'https://api.stateset.com/v1/warranty/:id/cancel' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation warrantyCancelMutation {
warrantyCancel(id: "${warrantyId}") {
warranty {
id,
status
}
userErrors {
field
message
}
}
}
`;
const warranties = await stateset.warranties.cancel({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
warranties = stateset.warranties.cancel({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
warranties = Stateset::Warranty.cancel({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
warranties, err := stateset.Warranties.cancel({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Warranty warranties = stateset.Warranties.cancel({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$warranties = $stateset->warranties->cancel({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var warranties = await stateset.Warranties.Cancel({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "warranty",
"cancelled": true
}
⌘I